import { Entity, Column, PrimaryGeneratedColumn } from 'typeorm';

@Entity()
export default class User {
  @PrimaryGeneratedColumn()
  id: number;

  @Column({ comment: '姓' })
  firstName: string;

  @Column({ comment: '名' })
  lastName: string;

  @Column({ default: true, comment: '是否激活' })
  isActive: boolean;
}
